Bug 239043 - [NEW PORT] www/py-django-csp: Adds Content-Security-Policy headers to Django
Summary: [NEW PORT] www/py-django-csp: Adds Content-Security-Policy headers to Django
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-08 12:56 UTC by Alexander Sieg
Modified: 2019-08-25 18:52 UTC (History)
0 users

See Also:


Attachments
patch (1.17 KB, patch)
2019-07-08 12:56 UTC, Alexander Sieg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Sieg 2019-07-08 12:56:31 UTC
Django-CSP adds Content-Security-Policy headers to Django.

WWW: https://github.com/mozilla/django-csp
Comment 1 Alexander Sieg 2019-07-08 12:56:38 UTC
Created attachment 205582 [details]
patch
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-22 18:04:58 UTC
Currently we use py-dj22- prefix for py-django22-dependent ports. I'll add py-dj22-django-csp instead.
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-22 18:39:33 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #2)

It should be py-dj22-django_csp.
Comment 4 commit-hook freebsd_committer 2019-08-25 18:47:28 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Aug 25 18:47:02 UTC 2019
New revision: 509836
URL: https://svnweb.freebsd.org/changeset/ports/509836

Log:
  Add py-dj22-django_csp 3.5

  Django-CSP adds Content-Security-Policy headers to Django.

  WWW: https://github.com/mozilla/django-csp

  - While I'm here, fix USES=python

  PR:		239043
  Submitted by:	Alexander Sieg <alex@xanderio.de>

Changes:
  head/www/Makefile
  head/www/py-dj22-django_csp/
  head/www/py-dj22-django_csp/Makefile
  head/www/py-dj22-django_csp/distinfo
  head/www/py-dj22-django_csp/pkg-descr
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-08-25 18:52:36 UTC
Committed. Thanks!